Package org.apache.jmeter.report.processor.graph.impl

# Class LatencyVSRequestGraphConsumer

java.lang.Object
org.apache.jmeter.report.processor.AbstractSampleProcessor
org.apache.jmeter.report.processor.AbstractSampleConsumer
org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
org.apache.jmeter.report.processor.graph.AbstractVersusRequestsGraphConsumer
org.apache.jmeter.report.processor.graph.impl.LatencyVSRequestGraphConsumer

All Implemented Interfaces:
  `SampleConsumer`, `SampleProcessor`, `SampleProducer`

public class LatencyVSRequestGraphConsumer extends AbstractVersusRequestsGraphConsumer
The class LatencyVSRequestGraphConsumer provides a graph to visualize latency vs requests

Since:
  3.0

- ## Field Summary

  ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractVersusRequestsGraphConsumer

  `RESULT_CTX_GRANULARITY, TIME_INTERVAL_LABEL`

  ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

  `DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT, DEFAULT_GROUP, DEFAULT_OVERALL_SERIES_FORMAT, RESULT_MAX_X, RESULT_MAX_Y, RESULT_MIN_X, RESULT_MIN_Y, RESULT_SERIES, RESULT_SERIES_DATA, RESULT_SERIES_IS_CONTROLLER, RESULT_SERIES_IS_OVERALL, RESULT_SERIES_NAME, RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_TITLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LatencyVSRequestGraphConsumer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map<String,GroupInfo>`
  `createGroupInfos()`
  `protected GraphKeysSelector`
  `createKeysSelector()`

  ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractVersusRequestsGraphConsumer

  `consume, getGranularity, initialize, initializeExtraResults, setConsumedMetadata, setGranularity, startConsuming, stopConsuming, stopConsumingBase`

  ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

  `createSerieResult, getAggregatedKeysSeriesFormat, getGroupInfos, getInvertsKeysAndValues, getKeysSelector, getOverallSeriesFormat, getTitle, rendersPercentiles, setAggregatedKeysSeriesFormat, setOverallSeriesFormat, setRenderPercentiles, setRevertKeysAndValues, setTitle`

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

  `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

  `getChannelAttribute, getSampleContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

  `getChannelAttribute, getSampleContext`

- ## Constructor Details

  - ### LatencyVSRequestGraphConsumer

    public LatencyVSRequestGraphConsumer()

- ## Method Details

  - ### createKeysSelector

    protected GraphKeysSelector createKeysSelector()
    Specified by:
      `createKeysSelector` in class `AbstractGraphConsumer`

  - ### createGroupInfos

    protected Map<String,GroupInfo> createGroupInfos()
    Specified by:
      `createGroupInfos` in class `AbstractGraphConsumer`